Subject: [NSIS] draft-tommasi-nsis-semipro-00

From: Bernd Schloer <[email-masked]>
Date: Fri, 07 Apr 2006 18:13:16 +0200

Hi Elena,

I read through your draft 
http://www.ietf.org/internet-drafts/draft-tommasi-nsis-semipro-00.txt and have 
some questions on it.

Before a potential handoff you install a GA, but no QoS state. The QoS State is 
installed after the handoff occurred. The reason for the late QoS installation 
is saving resources against a proactive procedure. The QUERY message is used to 
setup GIST state. So setting up GA is to speed up the reservation against a 
reactive procedure.

Does the M-Flag indicate that the RESERVE msg followed by a QUERY is only sent 
after a handoff?

After a handoff what happens to the old reservation? How are Ping Pong handovers 
handled? Is the old reservation torn down immediately or is it held for some time?

Why is it necessary to have a buffering mechanism when the MN is the flow 
receiver? In realtime applications (voice or video streming) it is better from 
my point of view to accept the packet loss instead of receiving delayed data.
Buffering increases the performance for pure data streams, e.g. a FTP download.

Bernd

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: "Elena Scialpi" <[email-masked]>
Date: Wed, 12 Apr 2006 13:40:48 +0200

> Does the M-Flag indicate that the RESERVE msg followed by a QUERY is only
sent

M-flag in a Query message indicates to the QNI to wait the end of the
handover for sending the Reserve message. In a semi-proactive procedure
m-flag is enough to do this.

> handled? Is the old reservation torn down immediately or is it held for
some time?

After an handoff old reservation are torn down only between CRN and NAR (see
Local Path Repair - section 3.4). In the draft we propose to tear down the
old reservation as soon as the new one has been reservated on the new local
path. Then,  we not manage now a ping pong handover.

> Buffering increases the performance for pure data streams, e.g. a FTP
download.

Buffering mechanism is necessary to avoid packet loss during the handover.
Optimezed smooth handoff proposes to  buffer the packets at the PAR.
We propose to buffer the packets in a node on the end-to-end path near to
the NAR (the CRN).  This allow to reduce  the delay when the buffered
packets must reach the NAR.

> Bernd
Ciao,
Elena

---

From: "Gregory William Ray" <[email-masked]>
Date: Wed, 12 Apr 2006 15:02:23 +0200

> > http://www.ietf.org/internet-drafts/draft-tommasi-nsis-semipro-00.txt
and
> have
> > setup GIST state. So setting up GA is to speed up the reservation
against
> a
> > reactive procedure.
> >
> > Does the M-Flag indicate that the RESERVE msg followed by a QUERY is
only
> path. Then,  we not manage now a ping pong handover.

To retard the elimination of the resource reservated on the old local path
can help in a ping pong handover?

> > receiver? In realtime applications (voice or video streming) it is
better
> from

---

From: "Elena Scialpi" <[email-masked]>
Date: Fri, 14 Apr 2006 19:22:57 +0200

> > > is saving resources against a proactive procedure. The QUERY message
is
> > used to
> > > handled? Is the old reservation torn down immediately or is it held
for
> can help in a ping pong handover?

Yes, it is!
In a semi-proactive procedure and a ping pong handover can help also to hold
the GIST state on the old local path meanwhile the old resource reservated
are torn down.

> > > my point of view to accept the packet loss instead of receiving
delayed
> > data.